<sqtm-core-customisable-dialog
  [titleKey]="'sqtm-core.entity.issue.reported-in.short'"
  [dialogId]="dialogId"
>
  <sqtm-core-dialog-body>
    @if (data.executionSteps) {
      <div class="p-10">
        @for (stepOrder of data.executionSteps; track stepOrder) {
          <div>
            <span>
              {{ getLabel(stepOrder) }}
            </span>
          </div>
        }
      </div>
    }
  </sqtm-core-dialog-body>
  <sqtm-core-dialog-footer>
    <button
      [attr.data-test-dialog-button-id]="'cancel'"
      class="flex-fixed-size m-l-10"
      nz-button
      nzType="default"
      sqtmCoreDialogClose
    >
      {{ 'sqtm-core.generic.label.cancel' | translate }}
    </button>
  </sqtm-core-dialog-footer>
</sqtm-core-customisable-dialog>
